Get an app's details from the App Store
curl --request POST \
--url https://api.stophy.dev/v1/appstore/app \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"app": "284882215"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({app: '284882215'})
};
fetch('https://api.stophy.dev/v1/appstore/app', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/appstore/app"
payload = { "app": "284882215" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"app": {
"url": "<string>",
"id": "<string>",
"bundleId": "<string>",
"name": "<string>",
"subtitle": "<string>",
"developer": {
"id": "<string>",
"name": "<string>",
"url": "<string>"
},
"seller": "<string>",
"website": "<string>",
"price": 123,
"currency": "<string>",
"priceText": "<string>",
"hasInAppPurchases": true,
"genres": [
"<string>"
],
"primaryGenre": {
"id": "<string>",
"name": "<string>"
},
"contentRating": "<string>",
"description": "<string>",
"releaseNotes": "<string>",
"version": "<string>",
"releasedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"minimumOsVersion": "<string>",
"sizeBytes": 0,
"languages": [
"<string>"
],
"rating": 123,
"ratings": 0,
"histogram": {
"one": 0,
"two": 0,
"three": 0,
"four": 0,
"five": 0
},
"chart": {
"position": 0,
"name": "<string>",
"genre": "<string>"
},
"icon": "<string>",
"screenshots": [
"<string>"
],
"ipadScreenshots": [
"<string>"
]
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}App Store
App Store app API
Call the App Store app API to get bundle id, name, subtitle, developer, seller and website, as JSON or markdown. 1 credit.
POST
/
v1
/
appstore
/
app
Get an app's details from the App Store
curl --request POST \
--url https://api.stophy.dev/v1/appstore/app \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"app": "284882215"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({app: '284882215'})
};
fetch('https://api.stophy.dev/v1/appstore/app', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/appstore/app"
payload = { "app": "284882215" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"app": {
"url": "<string>",
"id": "<string>",
"bundleId": "<string>",
"name": "<string>",
"subtitle": "<string>",
"developer": {
"id": "<string>",
"name": "<string>",
"url": "<string>"
},
"seller": "<string>",
"website": "<string>",
"price": 123,
"currency": "<string>",
"priceText": "<string>",
"hasInAppPurchases": true,
"genres": [
"<string>"
],
"primaryGenre": {
"id": "<string>",
"name": "<string>"
},
"contentRating": "<string>",
"description": "<string>",
"releaseNotes": "<string>",
"version": "<string>",
"releasedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"minimumOsVersion": "<string>",
"sizeBytes": 0,
"languages": [
"<string>"
],
"rating": 123,
"ratings": 0,
"histogram": {
"one": 0,
"two": 0,
"three": 0,
"four": 0,
"five": 0
},
"chart": {
"position": 0,
"name": "<string>",
"genre": "<string>"
},
"icon": "<string>",
"screenshots": [
"<string>"
],
"ipadScreenshots": [
"<string>"
]
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
appstore.app - Returns:
datahasapp. - Cost: 1 credit. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.appstore.app({ app: "284882215" });
console.log(result.data.app);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.appstore.app(app="284882215")
print(result["data"]["app"])
curl -X POST https://api.stophy.dev/v1/appstore/app \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"app":"284882215"}'
stophy appstore app 284882215
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json